Support Questions
Find answers, ask questions, and share your expertise

Ambari "Versions" not loading HDP versions are mismatched

Highlighted

Ambari "Versions" not loading HDP versions are mismatched

Expert Contributor

62452-39840-ambari-stack-loading-error.png

39841-not-working.png

62450-39840-ambari-stack-loading-error.png

It appears that my Ambari HDP versions are mismatched. I actually have 2.5.0.0-1245 installed and it;s showing as 2.5.3.0.

Under /usr/hdp/current only see 2.5.0.0-1245

I have a similar issue to: https://community.hortonworks.com/questions/75760/ambari-admin-stack-versions-hangs.html

I cannot proceed to upgrade HDP...

There is an error mentioning an OS property can't be found?

When I click on current version under "Versions" and click my CURRENT install I get a blank page.

39853-versions.png

39840-ambari-stack-loading-error.png

6 REPLIES 6

Re: Ambari "Versions" not loading HDP versions are mismatched

@Joe,

Can you please try hitting the above URL and paste the response.

http://{AMBARI_HOST}:{AMBARI_PORT}/api/v1/stacks/{stackName}/versions/{version No}?fields=operating_systems/repositories/Repositories

To get the {stackName}, you can do a GET on

http://{AMBARI_HOST}:{AMBARI_PORT}/api/v1/stacks/

Similarly to get {version No} , you can do a GET on

http://{AMBARI_HOST}:{AMBARI_PORT}/api/v1/stacks/{stackName}/versions/

Try putting the version of HDP you want to upgrade in the 1st url.

Thanks,

Aditya

Highlighted

Re: Ambari "Versions" not loading HDP versions are mismatched

Expert Contributor

Here is the ouput (replaced ips with 127.0.0.1):

hwoutput.txt

Highlighted

Re: Ambari "Versions" not loading HDP versions are mismatched

@Joe,

The response looks fine. Did you give it a try with some other browser. I see that opera is not listed in supported browsers list.

https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.6.2/bk_support-matrices/content/ch_matrices-amb...

Thanks,

Aditya

Highlighted

Re: Ambari "Versions" not loading HDP versions are mismatched

Expert Contributor

I've tried IE 11, Chrome 56 & 57, as well as Edge. Is there a way to manually call the install API? All I need is that wizard to popup and do the install.

Highlighted

Re: Ambari "Versions" not loading HDP versions are mismatched

Expert Contributor

39852-versions.png

Just noticed this when I click on current version under "Versions" and click my CURRENT install

Highlighted

Re: Ambari "Versions" not loading HDP versions are mismatched

Expert Contributor

OK after finding this same bug on an HDF install there are several explanations:

  • Installs were done via Ambari 2.4.2
  • Both installs version info removed all OS versions except Centos7 OS entry
  • XML was custom entry from Hortonworks repo link

Possible bugs contributing: